package models

type XTSyncInfo struct {
	ID              int64  `gorm:"column:id" json:"id" form:"id"`
	OrgId           int64  `gorm:"column:org_id" json:"org_id" form:"org_id"`
	SyncType        int64  `gorm:"column:sync_type" json:"sync_type" form:"sync_type"`
	SyncTime        int64  `gorm:"column:sync_time" json:"sync_time" form:"sync_time"`
	SyncResultType  int    `gorm:"column:sync_result_type" json:"sync_result_type" form:"sync_result_type"`
	SyncRsultRemark string `gorm:"column:sync_result_remark" json:"sync_result_remark" form:"sync_result_remark"`
	SyncTotalNum    int64  `gorm:"column:sync_total_num" json:"sync_total_num" form:"sync_total_num"`
	SyncSuccessNum  int64  `gorm:"column:sync_success_num" json:"sync_success_num" form:"sync_success_num"`
	SyncInfo        string `gorm:"column:sync_info" json:"sync_info" form:"sync_info"`
	CreateTime      int64  `gorm:"column:create_time" json:"create_time" form:"create_time"`
	UpdateTime      int64  `gorm:"column:update_time" json:"update_time" form:"update_time"`
}

func (XTSyncInfo) TableName() string {
	return "data_sync_info"
}

type UserOrg struct {
	ID              int64           `gorm:"column:id" json:"id"`
	Creator         int64           `gorm:"column:creator" json:"creator"`
	OrgName         string          `gorm:"column:org_name" json:"org_name"`
	OrgShortName    string          `gorm:"column:org_short_name" json:"org_short_name"`
	OrgLogo         string          `gorm:"column:org_logo" json:"org_logo"`
	OrgIntroduction string          `gorm:"column:org_introduction" json:"org_introduction"`
	Illness         string          `gorm:"column:illness" json:"illness"`
	Province        int64           `gorm:"column:province" json:"province"`
	City            int64           `gorm:"column:city" json:"city"`
	District        int64           `gorm:"column:district" json:"district"`
	Address         string          `gorm:"column:address" json:"address"`
	Longitude       string          `gorm:"column:longitude" json:"longitude"`
	Latitude        string          `gorm:"column:latitude" json:"latitude"`
	OrgType         int64           `gorm:"column:org_type" json:"org_type"`
	Comments        int64           `gorm:"column:comments" json:"comments"`
	Evaluate        float64         `gorm:"column:evaluate" json:"evaluate"`
	Gallery         string          `gorm:"column:gallery" json:"gallery"`
	BusinessWeek    string          `gorm:"column:business_week" json:"business_week"`
	BusinessTime    string          `gorm:"column:business_time" json:"business_time"`
	ContactName     string          `gorm:"column:contact_name" json:"contact_name"`
	Telephone       string          `gorm:"column:telephone" json:"telephone"`
	Claim           int64           `gorm:"column:claim" json:"claim"`
	OperatingState  int64           `gorm:"column:operating_state" json:"operating_state"`
	Status          int64           `gorm:"column:status" json:"status"`
	Ctime           int64           `gorm:"column:ctime" json:"ctime"`
	Mtime           int64           `gorm:"column:mtime" json:"mtime"`
	Source          int64           `gorm:"column:source" json:"source"`
	Ttype           int64           `gorm:"column:ttype" json:"ttype"`
	Ttid            int64           `gorm:"column:ttid" json:"ttid"`
	Tuid            int64           `gorm:"column:tuid" json:"tuid"`
	Reason          string          `gorm:"column:reason" json:"reason"`
	Level           int64           `gorm:"column:level" json:"level"`
	Website         string          `gorm:"column:website" json:"website"`
	Import          int64           `gorm:"column:import" json:"import"`
	Sortno          int64           `gorm:"column:sortno" json:"sortno"`
	DeviceNumber    []*DeviceNumber `gorm:"ForeignKey:OrgId;AssociationForeignKey:ID" json:"device_number"`
}

func (UserOrg) TableName() string {
	return "sgj_user_org"
}

type UserAdminRole struct {
	ID          int64  `gorm:"column:id" json:"id"`
	AdminUserId int64  `gorm:"column:admin_user_id" json:"admin_user_id"`
	OrgId       int64  `gorm:"column:org_id" json:"org_id"`
	AppId       int64  `gorm:"column:app_id" json:"app_id"`
	RoleId      int64  `gorm:"column:role_id" json:"role_id"`
	UserName    string `gorm:"column:user_name" json:"user_name"`
	Avatar      string `gorm:"column:avatar" json:"avatar"`
	UserType    int64  `gorm:"column:user_type" json:"user_type"`
	UserTitle   int64  `gorm:"column:user_title" json:"user_title"`
	Intro       string `gorm:"column:intro" json:"intro"`
	Status      int64  `gorm:"column:status" json:"status"`
	Ctime       int64  `gorm:"column:ctime" json:"ctime"`
	Mtime       int64  `gorm:"column:mtime" json:"mtime"`
}

func (UserAdminRole) TableName() string {
	return "sgj_user_admin_role"
}

type Patients struct {
	ID                           int64                 `gorm:"column:id" json:"id"`
	UserOrgId                    int64                 `gorm:"column:user_org_id" json:"user_org_id"`
	UserId                       int64                 `gorm:"column:user_id" json:"user_id"`
	Avatar                       string                `gorm:"column:avatar" json:"avatar"`
	PatientType                  int64                 `gorm:"column:patient_type" json:"patient_type"`
	DialysisNo                   string                `gorm:"column:dialysis_no" json:"dialysis_no"`
	AdmissionNumber              string                `gorm:"column:admission_number" json:"admission_number"`
	Source                       int64                 `gorm:"column:source" json:"source"`
	Lapseto                      int64                 `gorm:"column:lapseto" json:"lapseto"`
	PartitionId                  int64                 `gorm:"column:partition_id" json:"partition_id"`
	BedId                        int64                 `gorm:"column:bed_id" json:"bed_id"`
	Name                         string                `gorm:"column:name" json:"name"`
	Alias                        string                `gorm:"column:alias" json:"alias"`
	Gender                       int64                 `gorm:"column:gender" json:"gender"`
	MaritalStatus                int64                 `gorm:"column:marital_status" json:"marital_status"`
	IdCardNo                     string                `gorm:"column:id_card_no" json:"id_card_no"`
	Birthday                     int64                 `gorm:"column:birthday" json:"birthday"`
	ReimbursementWayId           int64                 `gorm:"column:reimbursement_way_id" json:"reimbursement_way_id"`
	HealthCareType               int64                 `gorm:"column:health_care_type" json:"health_care_type"`
	HealthCareNo                 string                `gorm:"column:health_care_no" json:"health_care_no"`
	HealthCareDueDate            int64                 `gorm:"column:health_care_due_date" json:"health_care_due_date"`
	Height                       int64                 `gorm:"column:height" json:"height"`
	BloodType                    int64                 `gorm:"column:blood_type" json:"blood_type"`
	Rh                           int64                 `gorm:"column:rh" json:"rh"`
	HealthCareDueAlertDate       int64                 `gorm:"column:health_care_due_alert_date" json:"health_care_due_alert_date"`
	EducationLevel               int64                 `gorm:"column:education_level" json:"education_level"`
	Profession                   int64                 `gorm:"column:profession" json:"profession"`
	Phone                        string                `gorm:"column:phone" json:"phone"`
	HomeTelephone                string                `gorm:"column:home_telephone" json:"home_telephone"`
	RelativePhone                string                `gorm:"column:relative_phone" json:"relative_phone"`
	RelativeRelations            string                `gorm:"column:relative_relations" json:"relative_relations"`
	HomeAddress                  string                `gorm:"column:home_address" json:"home_address"`
	WorkUnit                     string                `gorm:"column:work_unit" json:"work_unit"`
	UnitAddress                  string                `gorm:"column:unit_address" json:"unit_address"`
	Children                     int64                 `gorm:"column:children" json:"children"`
	ReceivingDate                int64                 `gorm:"column:receiving_date" json:"receiving_date"`
	IsHospitalFirstDialysis      int64                 `gorm:"column:is_hospital_first_dialysis" json:"is_hospital_first_dialysis"`
	FirstDialysisDate            int64                 `gorm:"column:first_dialysis_date" json:"first_dialysis_date"`
	FirstDialysisHospital        string                `gorm:"column:first_dialysis_hospital" json:"first_dialysis_hospital"`
	PredialysisCondition         string                `gorm:"column:predialysis_condition" json:"predialysis_condition"`
	PreHospitalDialysisFrequency string                `gorm:"column:pre_hospital_dialysis_frequency" json:"pre_hospital_dialysis_frequency"`
	PreHospitalDialysisTimes     int64                 `gorm:"column:pre_hospital_dialysis_times" json:"pre_hospital_dialysis_times"`
	HospitalFirstDialysisDate    int64                 `gorm:"column:hospital_first_dialysis_date" json:"hospital_first_dialysis_date"`
	InductionPeriod              int64                 `gorm:"column:induction_period" json:"induction_period"`
	InitialDialysis              int64                 `gorm:"column:initial_dialysis" json:"initial_dialysis"`
	TotalDialysis                int64                 `gorm:"column:total_dialysis" json:"total_dialysis"`
	AttendingDoctorId            int64                 `gorm:"column:attending_doctor_id" json:"attending_doctor_id"`
	HeadNurseId                  int64                 `gorm:"column:head_nurse_id" json:"head_nurse_id"`
	Evaluate                     string                `gorm:"column:evaluate" json:"evaluate"`
	Diagnose                     string                `gorm:"column:diagnose" json:"diagnose"`
	Remark                       string                `gorm:"column:remark" json:"remark"`
	RegistrarsId                 int64                 `gorm:"column:registrars_id" json:"registrars_id"`
	Registrars                   string                `gorm:"column:registrars" json:"registrars"`
	QrCode                       string                `gorm:"column:qr_code" json:"qr_code"`
	BindingState                 int64                 `gorm:"column:binding_state" json:"binding_state"`
	PatientComplains             string                `gorm:"column:patient_complains" json:"patient_complains"`
	PresentHistory               string                `gorm:"column:present_history" json:"present_history"`
	PastHistory                  string                `gorm:"column:past_history" json:"past_history"`
	Temperature                  float64               `gorm:"column:temperature" json:"temperature"`
	Pulse                        int64                 `gorm:"column:pulse" json:"pulse"`
	Respiratory                  int64                 `gorm:"column:respiratory" json:"respiratory"`
	Sbp                          int64                 `gorm:"column:sbp" json:"sbp"`
	Dbp                          int64                 `gorm:"column:dbp" json:"dbp"`
	Status                       int64                 `gorm:"column:status" json:"status"`
	CreatedTime                  int64                 `gorm:"column:created_time" json:"created_time"`
	UpdatedTime                  int64                 `gorm:"column:updated_time" json:"updated_time"`
	Nation                       string                `gorm:"column:nation" json:"nation"`
	NativePlace                  string                `gorm:"column:native_place" json:"native_place"`
	Age                          int64                 `gorm:"column:age" json:"age"`
	PatientLapseto               PatientLapseto        `gorm:"ForeignKey:PatientId,LapsetoType;AssociationForeignKey:ID,Lapseto" json:"patient_lapseto"`
	InfectiousDiseases           []*InfectiousDiseases `gorm:"ForeignKey:PatientId;AssociationForeignKey:ID" json:"infectious_diseases"`
}

func (Patients) TableName() string {
	return "xt_patients"
}

type InfectiousDiseases struct {
	ID          int64 `gorm:"column:id" json:"id" form:"id"`
	PatientId   int64 `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	DiseaseId   int64 `gorm:"column:disease_id" json:"disease_id" form:"disease_id"`
	Status      int64 `gorm:"column:status" json:"status" form:"status"`
	CreatedTime int64 `gorm:"column:created_time" json:"created_time" form:"created_time"`
	UpdatedTime int64 `gorm:"column:updated_time" json:"updated_time" form:"updated_time"`
}

func (InfectiousDiseases) TableName() string {
	return "xt_patients_infectious_diseases"
}

type Device struct {
	ID             int64  `gorm:"column:id" json:"id"`
	OrgId          int64  `gorm:"column:org_id" json:"org_id"`
	DeviceType     int64  `gorm:"column:device_type" json:"device_type"`
	DmId           int64  `gorm:"column:dm_id" json:"dm_id"`
	WteId          int64  `gorm:"column:wte_id" json:"wte_id"`
	SerialNumber   string `gorm:"column:serial_number" json:"serial_number"`
	Name           string `gorm:"column:name" json:"name"`
	Model          string `gorm:"column:model" json:"model"`
	DeviceNumberId int64  `gorm:"column:device_number_id" json:"device_number_id"`
	DeviceNumber   string `gorm:"column:device_number" json:"device_number"`
	DeviceZoneId   int64  `gorm:"column:device_zone_id" json:"device_zone_id"`
	DeviceGroupId  int64  `gorm:"column:device_group_id" json:"device_group_id"`
	Status         int64  `gorm:"column:status" json:"status"`
	Ctime          int64  `gorm:"column:ctime" json:"ctime"`
	Mtime          int64  `gorm:"column:mtime" json:"mtime"`
}

func (Device) TableName() string {
	return "xt_device"
}

type DeviceNumber struct {
	ID      int64  `gorm:"column:id" json:"id"`
	OrgId   int64  `gorm:"column:org_id" json:"org_id"`
	Number  string `gorm:"column:number" json:"number"`
	GroupId int64  `gorm:"column:group_id" json:"group_id"`
	ZoneId  int64  `gorm:"column:zone_id" json:"zone_id"`
	Status  int64  `gorm:"column:status" json:"status"`
	Ctime   int64  `gorm:"column:ctime" json:"ctime"`
	Mtime   int64  `gorm:"column:mtime" json:"mtime"`
}

func (DeviceNumber) TableName() string {
	return "xt_device_number"
}

type DeviceZone struct {
	ID     int64  `gorm:"column:id" json:"id"`
	OrgId  int64  `gorm:"column:org_id" json:"org_id"`
	Name   string `gorm:"column:name" json:"name"`
	Type   int64  `gorm:"column:type" json:"type"`
	Status int64  `gorm:"column:status" json:"status"`
	Ctime  int64  `gorm:"column:ctime" json:"ctime"`
	Mtime  int64  `gorm:"column:mtime" json:"mtime"`
}

func (DeviceZone) TableName() string {
	return "xt_device_zone"
}

type Schedule struct {
	ID           int64        `gorm:"column:id" json:"id"`
	UserOrgId    int64        `gorm:"column:user_org_id" json:"user_org_id"`
	PartitionId  int64        `gorm:"column:partition_id" json:"partition_id"`
	BedId        int64        `gorm:"column:bed_id" json:"bed_id"`
	PatientId    int64        `gorm:"column:patient_id" json:"patient_id"`
	ScheduleDate int64        `gorm:"column:schedule_date" json:"schedule_date"`
	ScheduleType int64        `gorm:"column:schedule_type" json:"schedule_type"`
	ScheduleWeek int64        `gorm:"column:schedule_week" json:"schedule_week"`
	ModeId       int64        `gorm:"column:mode_id" json:"mode_id"`
	Status       int64        `gorm:"column:status" json:"status"`
	CreatedTime  int64        `gorm:"column:created_time" json:"created_time"`
	UpdatedTime  int64        `gorm:"column:updated_time" json:"updated_time"`
	DeviceNumber DeviceNumber `gorm:"ForeignKey:ID;AssociationForeignKey:BedId" json:"device"`
}

func (Schedule) TableName() string {
	return "xt_schedule"
}

type DialysisPrescription struct {
	ID                         int64                    `gorm:"column:id" json:"id"`
	UserOrgId                  int64                    `gorm:"column:user_org_id" json:"user_org_id"`
	PatientId                  int64                    `gorm:"column:patient_id" json:"patient_id"`
	Dialyzer                   int64                    `gorm:"column:dialyzer" json:"dialyzer"`
	MachineType                string                   `gorm:"column:machine_type" json:"machine_type"`
	DewaterAmount              float64                  `gorm:"column:dewater_amount" json:"dewater_amount"`
	DialyzerPerfusionApparatus string                   `gorm:"column:dialyzer_perfusion_apparatus" json:"dialyzer_perfusion_apparatus"`
	PrescriptionDewatering     float64                  `gorm:"column:prescription_dewatering" json:"prescription_dewatering"`
	Anticoagulant              int64                    `gorm:"column:anticoagulant" json:"anticoagulant"`
	AnticoagulantShouji        float64                  `gorm:"column:anticoagulant_shouji" json:"anticoagulant_shouji"`
	AnticoagulantWeichi        float64                  `gorm:"column:anticoagulant_weichi" json:"anticoagulant_weichi"`
	AnticoagulantZongliang     float64                  `gorm:"column:anticoagulant_zongliang" json:"anticoagulant_zongliang"`
	AnticoagulantGaimingcheng  string                   `gorm:"column:anticoagulant_gaimingcheng" json:"anticoagulant_gaimingcheng"`
	AnticoagulantGaijiliang    string                   `gorm:"column:anticoagulant_gaijiliang" json:"anticoagulant_gaijiliang"`
	ModeId                     int64                    `gorm:"column:mode_id" json:"mode_id"`
	DialysisDurationHour       int64                    `gorm:"column:dialysis_duration_hour" json:"dialysis_duration_hour"`
	DialysisDurationMinute     int64                    `gorm:"column:dialysis_duration_minute" json:"dialysis_duration_minute"`
	DialysisDuration           float64                  `gorm:"column:dialysis_duration" json:"dialysis_duration"`
	ReplacementTotal           float64                  `gorm:"column:replacement_total" json:"replacement_total"`
	ReplacementWay             int64                    `gorm:"column:replacement_way" json:"replacement_way"`
	HemodialysisMachine        int64                    `gorm:"column:hemodialysis_machine" json:"hemodialysis_machine"`
	BloodFilter                int64                    `gorm:"column:blood_filter" json:"blood_filter"`
	PerfusionApparatus         int64                    `gorm:"column:perfusion_apparatus" json:"perfusion_apparatus"`
	DryWeight                  float64                  `gorm:"column:dry_weight" json:"dry_weight"`
	VascularAccessMode         int64                    `gorm:"column:vascular_access_mode" json:"vascular_access_mode"`
	VascularAccess             int64                    `gorm:"column:vascular_access" json:"vascular_access"`
	BloodFlowVolume            float64                  `gorm:"column:blood_flow_volume" json:"blood_flow_volume"`
	DialysateFlow              float64                  `gorm:"column:dialysate_flow" json:"dialysate_flow"`
	DisplaceLiqui              float64                  `gorm:"column:displace_liqui" json:"displace_liqui"`
	Kalium                     float64                  `gorm:"column:kalium" json:"kalium"`
	Sodium                     float64                  `gorm:"column:sodium" json:"sodium"`
	Calcium                    float64                  `gorm:"column:calcium" json:"calcium"`
	Bicarbonate                float64                  `gorm:"column:bicarbonate" json:"bicarbonate"`
	Glucose                    float64                  `gorm:"column:glucose" json:"glucose"`
	DialysateTemperature       float64                  `gorm:"column:dialysate_temperature" json:"dialysate_temperature"`
	Conductivity               float64                  `gorm:"column:conductivity" json:"conductivity"`
	PrescriptionDoctor         int64                    `gorm:"column:prescription_doctor" json:"prescription_doctor"`
	Creater                    int64                    `gorm:"column:creater" json:"creater"`
	Modifier                   int64                    `gorm:"column:modifier" json:"modifier"`
	Remark                     string                   `gorm:"column:remark" json:"remark"`
	Status                     int64                    `gorm:"column:status" json:"status"`
	CreatedTime                int64                    `gorm:"column:created_time" json:"created_time"`
	UpdatedTime                int64                    `gorm:"column:updated_time" json:"updated_time"`
	RecordDate                 int64                    `gorm:"column:record_date" json:"record_date"`
	RecordId                   int64                    `gorm:"column:record_id" json:"record_id"`
	TargetUltrafiltration      float64                  `gorm:"column:target_ultrafiltration" json:"target_ultrafiltration"`
	DialysateFormulation       int64                    `gorm:"column:dialysate_formulation" json:"dialysate_formulation"`
	BodyFluid                  int64                    `gorm:"column:body_fluid" json:"body_fluid"`
	SpecialMedicine            int64                    `gorm:"column:special_medicine" json:"special_medicine"`
	SpecialMedicineOther       string                   `gorm:"column:special_medicine_other" json:"special_medicine_other"`
	DisplaceLiquiPart          int64                    `gorm:"column:displace_liqui_part" json:"displace_liqui_part"`
	BloodAccess                int64                    `gorm:"column:blood_access" json:"blood_access"`
	DisplaceLiquiValue         float64                  `gorm:"column:displace_liqui_value" json:"displace_liqui_value"`
	Ultrafiltration            float64                  `gorm:"column:ultrafiltration" json:"ultrafiltration"`
	BodyFluidOther             string                   `gorm:"column:body_fluid_other" json:"body_fluid_other"`
	Niprocart                  int64                    `gorm:"column:niprocart" json:"niprocart"`
	Jms                        int64                    `gorm:"column:jms" json:"jms"`
	FistulaNeedleSet           int64                    `gorm:"column:fistula_needle_set" json:"fistula_needle_set"`
	FistulaNeedleSet16         int64                    `gorm:"column:fistula_needle_set_16" json:"fistula_needle_set_16"`
	Hemoperfusion              int64                    `gorm:"column:hemoperfusion" json:"hemoperfusion"`
	DialyserSterilised         int64                    `gorm:"column:dialyser_sterilised" json:"dialyser_sterilised"`
	Filtryzer                  int64                    `gorm:"column:filtryzer" json:"filtryzer"`
	TargetKtv                  float64                  `gorm:"column:target_ktv" json:"target_ktv"`
	Dialyzers                  int64                    `gorm:"column:dialyzers" json:"dialyzers"`
	Injector                   int64                    `gorm:"column:injector" json:"injector"`
	Bloodlines                 int64                    `gorm:"column:bloodlines" json:"bloodlines"`
	TubingHemodialysis         int64                    `gorm:"column:tubing_hemodialysis" json:"tubing_hemodialysis"`
	Package                    int64                    `gorm:"column:package" json:"package"`
	ALiquid                    int64                    `gorm:"column:a_liquid" json:"a_liquid"`
	AssessmentBeforeDislysis   AssessmentBeforeDislysis `gorm:"ForeignKey:PatientId,AssessmentDate;AssociationForeignKey:PatientId,RecordDate" json:"before"`
	DialysisOrder              DialysisOrder            `gorm:"ForeignKey:PatientId,DialysisDate;AssociationForeignKey:PatientId,RecordDate" json:"order"`
}

func (DialysisPrescription) TableName() string {
	return "xt_dialysis_prescription"
}

type DoctorAdvice struct {
	ID                    int64   `gorm:"column:id" json:"id"`
	UserOrgId             int64   `gorm:"column:user_org_id" json:"user_org_id"`
	PatientId             int64   `gorm:"column:patient_id" json:"patient_id"`
	AdviceType            int64   `gorm:"column:advice_type" json:"advice_type"`
	AdviceDate            int64   `gorm:"column:advice_date" json:"advice_date"`
	StartTime             int64   `gorm:"column:start_time" json:"start_time"`
	AdviceName            string  `gorm:"column:advice_name" json:"advice_name"`
	AdviceDesc            string  `gorm:"column:advice_desc" json:"advice_desc"`
	ReminderDate          int64   `gorm:"column:reminder_date" json:"reminder_date"`
	SingleDose            float64 `gorm:"column:single_dose" json:"single_dose"`
	SingleDoseUnit        string  `gorm:"column:single_dose_unit" json:"single_dose_unit"`
	PrescribingNumber     float64 `gorm:"column:prescribing_number" json:"prescribing_number"`
	PrescribingNumberUnit string  `gorm:"column:prescribing_number_unit" json:"prescribing_number_unit"`
	DeliveryWay           string  `gorm:"column:delivery_way" json:"delivery_way"`
	ExecutionFrequency    string  `gorm:"column:execution_frequency" json:"execution_frequency"`
	AdviceDoctor          int64   `gorm:"column:advice_doctor" json:"advice_doctor"`
	Status                int64   `gorm:"column:status" json:"status"`
	CreatedTime           int64   `gorm:"column:created_time" json:"created_time"`
	UpdatedTime           int64   `gorm:"column:updated_time" json:"updated_time"`
	AdviceAffirm          string  `gorm:"column:advice_affirm" json:"advice_affirm"`
	Remark                string  `gorm:"column:remark" json:"remark"`
	StopTime              int64   `gorm:"column:stop_time" json:"stop_time"`
	StopReason            string  `gorm:"column:stop_reason" json:"stop_reason"`
	StopDoctor            int64   `gorm:"column:stop_doctor" json:"stop_doctor"`
	StopState             int64   `gorm:"column:stop_state" json:"stop_state"`
	ParentId              int64   `gorm:"column:parent_id" json:"parent_id"`
	ExecutionTime         int64   `gorm:"column:execution_time" json:"execution_time"`
	ExecutionStaff        int64   `gorm:"column:execution_staff" json:"execution_staff"`
	ExecutionState        int64   `gorm:"column:execution_state" json:"execution_state"`
	Checker               int64   `gorm:"column:checker" json:"checker"`
	RecordDate            int64   `gorm:"column:record_date" json:"record_date"`
	DialysisOrderId       int64   `gorm:"column:dialysis_order_id" json:"dialysis_order_id"`
	CheckTime             int64   `gorm:"column:check_time" json:"check_time"`
	CheckState            int64   `gorm:"column:check_state" json:"check_state"`
	DrugSpec              float64 `gorm:"column:drug_spec" json:"drug_spec"`
	DrugSpecUnit          string  `gorm:"column:drug_spec_unit" json:"drug_spec_unit"`
	Groupno               int64   `gorm:"column:groupno" json:"groupno"`
}

func (DoctorAdvice) TableName() string {
	return "xt_doctor_advice"
}

type DoctorAdviceTemplate struct {
	ID                      int64                   `gorm:"column:id" json:"id" form:"id"`
	OrgId                   int64                   `gorm:"column:org_id" json:"org_id" form:"org_id"`
	AdviceName              string                  `gorm:"column:advice_name" json:"advice_name" form:"advice_name"`
	AdviceDesc              string                  `gorm:"column:advice_desc" json:"advice_desc" form:"advice_desc"`
	SingleDose              float64                 `gorm:"column:single_dose" json:"single_dose" form:"single_dose"`
	SingleDoseUnit          string                  `gorm:"column:single_dose_unit" json:"single_dose_unit" form:"single_dose_unit"`
	PrescribingNumber       float64                 `gorm:"column:prescribing_number" json:"prescribing_number" form:"prescribing_number"`
	PrescribingNumberUnit   string                  `gorm:"column:prescribing_number_unit" json:"prescribing_number_unit" form:"prescribing_number_unit"`
	DeliveryWay             string                  `gorm:"column:delivery_way" json:"delivery_way" form:"delivery_way"`
	ExecutionFrequency      string                  `gorm:"column:execution_frequency" json:"execution_frequency" form:"execution_frequency"`
	AdviceDoctor            int64                   `gorm:"column:advice_doctor" json:"advice_doctor" form:"advice_doctor"`
	Status                  int64                   `gorm:"column:status" json:"status" form:"status"`
	CreatedTime             int64                   `gorm:"column:created_time" json:"created_time" form:"created_time"`
	UpdatedTime             int64                   `gorm:"column:updated_time" json:"updated_time" form:"updated_time"`
	TemplateId              int64                   `gorm:"column:template_id" json:"template_id"`
	DrugSpec                string                  `gorm:"column:drug_spec" json:"drug_spec" form:"drug_spec"`
	DrugSpecUnit            string                  `gorm:"column:drug_spec_unit" json:"drug_spec_unit" form:"drug_spec_unit"`
	ParentId                int64                   `gorm:"column:parent_id" json:"parent_id"`
	AdviceType              int64                   `gorm:"column:advice_type" json:"advice_type"`
	DayCount                int64                   `gorm:"column:day_count" json:"day_count"`
	WeekDays                string                  `gorm:"column:week_days" json:"week_days"`
	FrequencyType           int64                   `gorm:"column:frequency_type" json:"frequency_type"`
	SubDoctorAdviceTemplate []*DoctorAdviceTemplate `gorm:"ForeignKey:ParentId;AssociationForeignKey:ID" json:"child"`
}

func (DoctorAdviceTemplate) TableName() string {
	return "xt_doctor_advice_template"
}

type AssessmentAfterDislysis struct {
	ID                              int64   `gorm:"column:id" json:"id"`
	UserOrgId                       int64   `gorm:"column:user_org_id" json:"user_org_id"`
	PatientId                       int64   `gorm:"column:patient_id" json:"patient_id"`
	AssessmentDate                  int64   `gorm:"column:assessment_date" json:"assessment_date"`
	DialysisOrderId                 int64   `gorm:"column:dialysis_order_id" json:"dialysis_order_id"`
	Temperature                     float64 `gorm:"column:temperature" json:"temperature"`
	PulseFrequency                  float64 `gorm:"column:pulse_frequency" json:"pulse_frequency"`
	BreathingRate                   float64 `gorm:"column:breathing_rate" json:"breathing_rate"`
	SystolicBloodPressure           float64 `gorm:"column:systolic_blood_pressure" json:"systolic_blood_pressure"`
	DiastolicBloodPressure          float64 `gorm:"column:diastolic_blood_pressure" json:"diastolic_blood_pressure"`
	BloodPressureType               int64   `gorm:"column:blood_pressure_type" json:"blood_pressure_type"`
	ActualUltrafiltration           float64 `gorm:"column:actual_ultrafiltration" json:"actual_ultrafiltration"`
	ActualDisplacement              float64 `gorm:"column:actual_displacement" json:"actual_displacement"`
	ActualTreatmentHour             int64   `gorm:"column:actual_treatment_hour" json:"actual_treatment_hour"`
	ActualTreatmentMinute           int64   `gorm:"column:actual_treatment_minute" json:"actual_treatment_minute"`
	WeighingWay                     string  `gorm:"column:weighing_way" json:"weighing_way"`
	WeightAfter                     float64 `gorm:"column:weight_after" json:"weight_after"`
	WeightLoss                      float64 `gorm:"column:weight_loss" json:"weight_loss"`
	Cruor                           string  `gorm:"column:cruor" json:"cruor"`
	SymptomAfterDialysis            string  `gorm:"column:symptom_after_dialysis" json:"symptom_after_dialysis"`
	InternalFistula                 string  `gorm:"column:internal_fistula" json:"internal_fistula"`
	Catheter                        string  `gorm:"column:catheter" json:"catheter"`
	Complication                    string  `gorm:"column:complication" json:"complication"`
	Evaluator                       int64   `gorm:"column:evaluator" json:"evaluator"`
	Remark                          string  `gorm:"column:remark" json:"remark"`
	DialysisIntakes                 int64   `gorm:"column:dialysis_intakes" json:"dialysis_intakes"`
	DialysisIntakesFeed             int64   `gorm:"column:dialysis_intakes_feed" json:"dialysis_intakes_feed"`
	DialysisIntakesTransfusion      int64   `gorm:"column:dialysis_intakes_transfusion" json:"dialysis_intakes_transfusion"`
	DialysisIntakesBloodTransfusion int64   `gorm:"column:dialysis_intakes_blood_transfusion" json:"dialysis_intakes_blood_transfusion"`
	DialysisIntakesWashpipe         int64   `gorm:"column:dialysis_intakes_washpipe" json:"dialysis_intakes_washpipe"`
	Status                          int64   `gorm:"column:status" json:"status"`
	CreatedTime                     int64   `gorm:"column:created_time" json:"created_time"`
	UpdatedTime                     int64   `gorm:"column:updated_time" json:"updated_time"`
	Creater                         int64   `gorm:"column:creater" json:"creater"`
	Modifier                        int64   `gorm:"column:modifier" json:"modifier"`
	BloodAccessPartId               int64   `gorm:"column:blood_access_part_id" json:"blood_access_part_id"`
	BloodAccessPartOperaId          int64   `gorm:"column:blood_access_part_opera_id" json:"blood_access_part_opera_id"`
	PuncturePointOozingBlood        int64   `gorm:"column:puncture_point_oozing_blood" json:"puncture_point_oozing_blood"`
	PuncturePointHaematoma          int64   `gorm:"column:puncture_point_haematoma" json:"puncture_point_haematoma"`
	InternalFistulaTremorAc         int64   `gorm:"column:internal_fistula_tremor_ac" json:"internal_fistula_tremor_ac"`
	PatientGose                     int64   `gorm:"column:patient_gose" json:"patient_gose"`
	InpatientDepartment             string  `gorm:"column:inpatient_department" json:"inpatient_department"`
	ObservationContent              string  `gorm:"column:observation_content" json:"observation_content"`
	ObservationContentOther         string  `gorm:"column:observation_content_other" json:"observation_content_other"`
	DryWeight                       float64 `gorm:"column:dry_weight" json:"dry_weight"`
	DialysisProcess                 int64   `gorm:"column:dialysis_process" json:"dialysis_process"`
	InAdvanceMinute                 float64 `gorm:"column:in_advance_minute" json:"in_advance_minute"`
	InAdvanceReason                 string  `gorm:"column:in_advance_reason" json:"in_advance_reason"`
	HemostasisMinute                int64   `gorm:"column:hemostasis_minute" json:"hemostasis_minute"`
	HemostasisOpera                 int64   `gorm:"column:hemostasis_opera" json:"hemostasis_opera"`
	TremorNoise                     int64   `gorm:"column:tremor_noise" json:"tremor_noise"`
	DisequilibriumSyndrome          int64   `gorm:"column:disequilibrium_syndrome" json:"disequilibrium_syndrome"`
	DisequilibriumSyndromeOption    string  `gorm:"column:disequilibrium_syndrome_option" json:"disequilibrium_syndrome_option"`
	ArterialTube                    int64   `gorm:"column:arterial_tube" json:"arterial_tube"`
	IntravenousTube                 int64   `gorm:"column:intravenous_tube" json:"intravenous_tube"`
	Dialyzer                        int64   `gorm:"column:dialyzer" json:"dialyzer"`
	InAdvanceReasonOther            string  `gorm:"column:in_advance_reason_other" json:"in_advance_reason_other"`
	AssessmentDoctor                int64   `gorm:"column:assessment_doctor" json:"assessment_doctor"`
	AssessmentTime                  int64   `gorm:"column:assessment_time" json:"assessment_time"`
	IsEat                           int64   `gorm:"column:is_eat" json:"is_eat"`
}

func (AssessmentAfterDislysis) TableName() string {
	return "xt_assessment_after_dislysis"
}

type AssessmentBeforeDislysis struct {
	ID                             int64   `gorm:"column:id" json:"id"`
	UserOrgId                      int64   `gorm:"column:user_org_id" json:"user_org_id"`
	PatientId                      int64   `gorm:"column:patient_id" json:"patient_id"`
	AssessmentDate                 int64   `gorm:"column:assessment_date" json:"assessment_date"`
	DialysisOrderId                int64   `gorm:"column:dialysis_order_id" json:"dialysis_order_id"`
	Temperature                    float64 `gorm:"column:temperature" json:"temperature"`
	PulseFrequency                 float64 `gorm:"column:pulse_frequency" json:"pulse_frequency"`
	BreathingRate                  float64 `gorm:"column:breathing_rate" json:"breathing_rate"`
	SystolicBloodPressure          float64 `gorm:"column:systolic_blood_pressure" json:"systolic_blood_pressure"`
	DiastolicBloodPressure         float64 `gorm:"column:diastolic_blood_pressure" json:"diastolic_blood_pressure"`
	BloodPressureType              int64   `gorm:"column:blood_pressure_type" json:"blood_pressure_type"`
	DryWeight                      float64 `gorm:"column:dry_weight" json:"dry_weight"`
	WeightAfterLastTransparency    float64 `gorm:"column:weight_after_last_transparency" json:"weight_after_last_transparency"`
	WeighingWay                    string  `gorm:"column:weighing_way" json:"weighing_way"`
	WeighingBefore                 float64 `gorm:"column:weighing_before" json:"weighing_before"`
	AdditionalWeight               float64 `gorm:"column:additional_weight" json:"additional_weight"`
	WeightBefore                   float64 `gorm:"column:weight_before" json:"weight_before"`
	WeightGain                     float64 `gorm:"column:weight_gain" json:"weight_gain"`
	PreloadedDewatering            float64 `gorm:"column:preloaded_dewatering" json:"preloaded_dewatering"`
	UltrafiltrationAmount          float64 `gorm:"column:ultrafiltration_amount" json:"ultrafiltration_amount"`
	DialysisInterphase             string  `gorm:"column:dialysis_interphase" json:"dialysis_interphase"`
	LastPostDialysis               string  `gorm:"column:last_post_dialysis" json:"last_post_dialysis"`
	SymptomBeforeDialysis          string  `gorm:"column:symptom_before_dialysis" json:"symptom_before_dialysis"`
	InternalFistula                string  `gorm:"column:internal_fistula" json:"internal_fistula"`
	InternalFistulaSkin            string  `gorm:"column:internal_fistula_skin" json:"internal_fistula_skin"`
	CatheterBend                   int64   `gorm:"column:catheter_bend" json:"catheter_bend"`
	Catheter                       string  `gorm:"column:catheter" json:"catheter"`
	Complication                   string  `gorm:"column:complication" json:"complication"`
	Evaluator                      int64   `gorm:"column:evaluator" json:"evaluator"`
	Creater                        int64   `gorm:"column:creater" json:"creater"`
	Remark                         string  `gorm:"column:remark" json:"remark"`
	Status                         int64   `gorm:"column:status" json:"status"`
	CreatedTime                    int64   `gorm:"column:created_time" json:"created_time"`
	UpdatedTime                    int64   `gorm:"column:updated_time" json:"updated_time"`
	Modifier                       int64   `gorm:"column:modifier" json:"modifier"`
	BloodAccessPartId              string  `gorm:"column:blood_access_part_id" json:"blood_access_part_id"`
	BloodAccessPartOperaId         int64   `gorm:"column:blood_access_part_opera_id" json:"blood_access_part_opera_id"`
	IsHemorrhage                   int64   `gorm:"column:is_hemorrhage" json:"is_hemorrhage"`
	Hemorrhage                     string  `gorm:"column:hemorrhage" json:"hemorrhage"`
	HemorrhageOther                string  `gorm:"column:hemorrhage_other" json:"hemorrhage_other"`
	PunctureMethod                 string  `gorm:"column:puncture_method" json:"puncture_method"`
	BloodAccessInternalFistula     string  `gorm:"column:blood_access_internal_fistula" json:"blood_access_internal_fistula"`
	InternalFistulaOther           string  `gorm:"column:internal_fistula_other" json:"internal_fistula_other"`
	BloodAccessNoise               int64   `gorm:"column:blood_access_noise" json:"blood_access_noise"`
	PunctureWay                    string  `gorm:"column:puncture_way" json:"puncture_way"`
	VenousCatheterization          int64   `gorm:"column:venous_catheterization" json:"venous_catheterization"`
	VenousCatheterizationPart      int64   `gorm:"column:venous_catheterization_part" json:"venous_catheterization_part"`
	VenousCatheterizationPartOther string  `gorm:"column:venous_catheterization_part_other" json:"venous_catheterization_part_other"`
	DuctusArantii                  string  `gorm:"column:ductus_arantii" json:"ductus_arantii"`
	EmergencyTreatment             int64   `gorm:"column:emergency_treatment" json:"emergency_treatment"`
	EmergencyTreatmentOther        string  `gorm:"column:emergency_treatment_other" json:"emergency_treatment_other"`
	DialysisCount                  int64   `gorm:"column:dialysis_count" json:"dialysis_count"`
	AssessmentDoctor               int64   `gorm:"column:assessment_doctor" json:"assessment_doctor"`
	AssessmentTime                 int64   `gorm:"column:assessment_time" json:"assessment_time"`
	MachineType                    string  `gorm:"column:machine_type" json:"machine_type"`
	IsInfect                       int64   `gorm:"column:is_infect" json:"is_infect"`
	Exposed                        float64 `gorm:"column:exposed" json:"exposed"`
	Skin                           string  `gorm:"column:skin" json:"skin"`
	SkinOther                      string  `gorm:"column:skin_other" json:"skin_other"`
	InfectOther                    string  `gorm:"column:infect_other" json:"infect_other"`
	DuctusArantiiOther             string  `gorm:"column:ductus_arantii_other" json:"ductus_arantii_other"`
}

func (AssessmentBeforeDislysis) TableName() string {
	return "xt_assessment_before_dislysis"
}

type MonitoringRecord struct {
	ID                        int64         `gorm:"column:id" json:"id"`
	UserOrgId                 int64         `gorm:"column:user_org_id" json:"user_org_id"`
	PatientId                 int64         `gorm:"column:patient_id" json:"patient_id"`
	DialysisOrderId           int64         `gorm:"column:dialysis_order_id" json:"dialysis_order_id"`
	MonitoringDate            int64         `gorm:"column:monitoring_date" json:"monitoring_date"`
	MonitoringTime            string        `gorm:"column:monitoring_time" json:"monitoring_time"`
	PulseFrequency            float64       `gorm:"column:pulse_frequency" json:"pulse_frequency"`
	BreathingRate             float64       `gorm:"column:breathing_rate" json:"breathing_rate"`
	SystolicBloodPressure     float64       `gorm:"column:systolic_blood_pressure" json:"systolic_blood_pressure"`
	DiastolicBloodPressure    float64       `gorm:"column:diastolic_blood_pressure" json:"diastolic_blood_pressure"`
	BloodPressureType         int64         `gorm:"column:blood_pressure_type" json:"blood_pressure_type"`
	Pic                       string        `gorm:"column:pic" json:"pic"`
	BloodFlowVolume           float64       `gorm:"column:blood_flow_volume" json:"blood_flow_volume"`
	VenousPressure            float64       `gorm:"column:venous_pressure" json:"venous_pressure"`
	VenousPressureUnit        string        `gorm:"column:venous_pressure_unit" json:"venous_pressure_unit"`
	ArterialPressure          float64       `gorm:"column:arterial_pressure" json:"arterial_pressure"`
	TransmembranePressure     float64       `gorm:"column:transmembrane_pressure" json:"transmembrane_pressure"`
	TransmembranePressureUnit string        `gorm:"column:transmembrane_pressure_unit" json:"transmembrane_pressure_unit"`
	UltrafiltrationRate       float64       `gorm:"column:ultrafiltration_rate" json:"ultrafiltration_rate"`
	UltrafiltrationVolume     float64       `gorm:"column:ultrafiltration_volume" json:"ultrafiltration_volume"`
	SodiumConcentration       float64       `gorm:"column:sodium_concentration" json:"sodium_concentration"`
	Temperature               float64       `gorm:"column:temperature" json:"temperature"`
	DialysateTemperature      float64       `gorm:"column:dialysate_temperature" json:"dialysate_temperature"`
	ReplacementRate           float64       `gorm:"column:replacement_rate" json:"replacement_rate"`
	DisplacementQuantity      float64       `gorm:"column:displacement_quantity" json:"displacement_quantity"`
	Ktv                       float64       `gorm:"column:ktv" json:"ktv"`
	Symptom                   string        `gorm:"column:symptom" json:"symptom"`
	Dispose                   string        `gorm:"column:dispose" json:"dispose"`
	Result                    string        `gorm:"column:result" json:"result"`
	MonitoringNurse           int64         `gorm:"column:monitoring_nurse" json:"monitoring_nurse"`
	Status                    int64         `gorm:"column:status" json:"status"`
	CreatedTime               int64         `gorm:"column:created_time" json:"created_time"`
	UpdatedTime               int64         `gorm:"column:updated_time" json:"updated_time"`
	OperateTime               int64         `gorm:"column:operate_time" json:"operate_time"`
	Conductivity              float64       `gorm:"column:conductivity" json:"conductivity"`
	DisplacementFlowQuantity  float64       `gorm:"column:displacement_flow_quantity" json:"displacement_flow_quantity"`
	DialysisOrder             DialysisOrder `gorm:"ForeignKey:PatientId,DialysisDate;AssociationForeignKey:PatientId,MonitoringDate" json:"order"`
}

func (MonitoringRecord) TableName() string {
	return "xt_monitoring_record"
}

type PatientLapseto struct {
	ID          int64 `gorm:"column:id" json:"id"`
	PatientId   int64 `gorm:"column:patient_id" json:"patient_id"`
	LapsetoType int64 `gorm:"column:lapseto_type" json:"lapseto_type"`
	LapsetoTime int64 `gorm:"column:lapseto_time" json:"lapseto_time"`
	Status      int64 `gorm:"column:status" json:"status"`
	CreatedTime int64 `gorm:"column:created_time" json:"created_time"`
	UpdatedTime int64 `gorm:"column:updated_time" json:"updated_time"`
}

func (PatientLapseto) TableName() string {
	return "xt_patient_lapseto"
}

type DialysisOrder struct {
	ID             int64  `gorm:"column:id" json:"id"`
	DialysisDate   int64  `gorm:"column:dialysis_date" json:"dialysis_date"`
	UserOrgId      int64  `gorm:"column:user_org_id" json:"user_org_id"`
	PatientId      int64  `gorm:"column:patient_id" json:"patient_id"`
	PrescriptionId int64  `gorm:"column:prescription_id" json:"prescription_id"`
	Stage          int64  `gorm:"column:stage" json:"stage"`
	Remark         string `gorm:"column:remark" json:"remark"`
	BedId          int64  `gorm:"column:bed_id" json:"bed_id"`
	StartNurse     int64  `gorm:"column:start_nurse" json:"start_nurse"`
	FinishNurse    int64  `gorm:"column:finish_nurse" json:"finish_nurse"`
	Status         int64  `gorm:"column:status" json:"status"`
	CreatedTime    int64  `gorm:"column:created_time" json:"created_time"`
	UpdatedTime    int64  `gorm:"column:updated_time" json:"updated_time"`
	StartTime      int64  `gorm:"column:start_time" json:"start_time"`
	EndTime        int64  `gorm:"column:end_time" json:"end_time"`
	PunctureNurse  int64  `gorm:"column:puncture_nurse" json:"puncture_nurse"`
	Creator        int64  `gorm:"column:creator" json:"creator"`
	Modifier       int64  `gorm:"column:modifier" json:"modifier"`
	FinishCreator  int64  `gorm:"column:finish_creator" json:"finish_creator"`
	FinishModifier int64  `gorm:"column:finish_modifier" json:"finish_modifier"`
}

func (DialysisOrder) TableName() string {
	return "xt_dialysis_order"
}

type VMDialysisOrder struct {
	ID                       int64                    `gorm:"column:id" json:"id"`
	DialysisDate             int64                    `gorm:"column:dialysis_date" json:"dialysis_date"`
	UserOrgId                int64                    `gorm:"column:user_org_id" json:"user_org_id"`
	PatientId                int64                    `gorm:"column:patient_id" json:"patient_id"`
	PrescriptionId           int64                    `gorm:"column:prescription_id" json:"prescription_id"`
	Stage                    int64                    `gorm:"column:stage" json:"stage"`
	Remark                   string                   `gorm:"column:remark" json:"remark"`
	BedId                    int64                    `gorm:"column:bed_id" json:"bed_id"`
	StartNurse               int64                    `gorm:"column:start_nurse" json:"start_nurse"`
	FinishNurse              int64                    `gorm:"column:finish_nurse" json:"finish_nurse"`
	Status                   int64                    `gorm:"column:status" json:"status"`
	CreatedTime              int64                    `gorm:"column:created_time" json:"created_time"`
	UpdatedTime              int64                    `gorm:"column:updated_time" json:"updated_time"`
	StartTime                int64                    `gorm:"column:start_time" json:"start_time"`
	EndTime                  int64                    `gorm:"column:end_time" json:"end_time"`
	PunctureNurse            int64                    `gorm:"column:puncture_nurse" json:"puncture_nurse"`
	Creator                  int64                    `gorm:"column:creator" json:"creator"`
	Modifier                 int64                    `gorm:"column:modifier" json:"modifier"`
	FinishCreator            int64                    `gorm:"column:finish_creator" json:"finish_creator"`
	FinishModifier           int64                    `gorm:"column:finish_modifier" json:"finish_modifier"`
	DeviceNumber             DeviceNumber             `gorm:"ForeignKey:ID;AssociationForeignKey:BedId" json:"device"`
	VMDialysisPrescription   VMDialysisPrescription   `gorm:"ForeignKey:RecordDate,PatientID;AssociationForeignKey:DialysisDate,PatientID" json:"prescription"`
	AssessmentBeforeDislysis AssessmentBeforeDislysis `gorm:"ForeignKey:AssessmentDate,PatientID;AssociationForeignKey:DialysisDate,PatientID" json:"before"`
	AssessmentAfterDislysis  AssessmentAfterDislysis  `gorm:"ForeignKey:AssessmentDate,PatientID;AssociationForeignKey:DialysisDate,PatientID" json:"after"`
	Schedule                 Schedule                 `gorm:"ForeignKey:ScheduleDate,PatientID;AssociationForeignKey:DialysisDate,PatientID" json:"schedule"`
	MonitoringRecord         []MonitoringRecord       `gorm:"ForeignKey:MonitoringDate,PatientID;AssociationForeignKey:DialysisDate,PatientID" json:"monitor"`
}

func (VMDialysisOrder) TableName() string {
	return "xt_dialysis_order"
}

type VMSchedule struct {
	ID                       int64                    `gorm:"column:id" json:"id"`
	UserOrgId                int64                    `gorm:"column:user_org_id" json:"user_org_id"`
	PartitionId              int64                    `gorm:"column:partition_id" json:"partition_id"`
	BedId                    int64                    `gorm:"column:bed_id" json:"bed_id"`
	PatientId                int64                    `gorm:"column:patient_id" json:"patient_id"`
	ScheduleDate             int64                    `gorm:"column:schedule_date" json:"schedule_date"`
	ScheduleType             int64                    `gorm:"column:schedule_type" json:"schedule_type"`
	ScheduleWeek             int64                    `gorm:"column:schedule_week" json:"schedule_week"`
	ModeId                   int64                    `gorm:"column:mode_id" json:"mode_id"`
	Status                   int64                    `gorm:"column:status" json:"status"`
	CreatedTime              int64                    `gorm:"column:created_time" json:"created_time"`
	UpdatedTime              int64                    `gorm:"column:updated_time" json:"updated_time"`
	DeviceNumber             DeviceNumber             `gorm:"ForeignKey:ID;AssociationForeignKey:BedId" json:"device"`
	VMDialysisPrescription   VMDialysisPrescription   `gorm:"ForeignKey:RecordDate,PatientID;AssociationForeignKey:ScheduleDate,PatientID" json:"prescription"`
	AssessmentBeforeDislysis AssessmentBeforeDislysis `gorm:"ForeignKey:AssessmentDate,PatientID;AssociationForeignKey:ScheduleDate,PatientID" json:"before"`
	AssessmentAfterDislysis  AssessmentAfterDislysis  `gorm:"ForeignKey:AssessmentDate,PatientID;AssociationForeignKey:ScheduleDate,PatientID" json:"after"`
	DialysisOrder            DialysisOrder            `gorm:"ForeignKey:DialysisDate,PatientID;AssociationForeignKey:ScheduleDate,PatientID" json:"order"`
	MonitoringRecord         []MonitoringRecord       `gorm:"ForeignKey:MonitoringDate,PatientID;AssociationForeignKey:ScheduleDate,PatientID" json:"monitor"`
}

func (VMSchedule) TableName() string {
	return "xt_schedule"
}

type VMDialysisPrescription struct {
	ID                         int64   `gorm:"column:id" json:"id"`
	UserOrgId                  int64   `gorm:"column:user_org_id" json:"user_org_id"`
	PatientId                  int64   `gorm:"column:patient_id" json:"patient_id"`
	Dialyzer                   int64   `gorm:"column:dialyzer" json:"dialyzer"`
	MachineType                string  `gorm:"column:machine_type" json:"machine_type"`
	DewaterAmount              float64 `gorm:"column:dewater_amount" json:"dewater_amount"`
	DialyzerPerfusionApparatus string  `gorm:"column:dialyzer_perfusion_apparatus" json:"dialyzer_perfusion_apparatus"`
	PrescriptionDewatering     float64 `gorm:"column:prescription_dewatering" json:"prescription_dewatering"`
	Anticoagulant              int64   `gorm:"column:anticoagulant" json:"anticoagulant"`
	AnticoagulantShouji        float64 `gorm:"column:anticoagulant_shouji" json:"anticoagulant_shouji"`
	AnticoagulantWeichi        float64 `gorm:"column:anticoagulant_weichi" json:"anticoagulant_weichi"`
	AnticoagulantZongliang     float64 `gorm:"column:anticoagulant_zongliang" json:"anticoagulant_zongliang"`
	AnticoagulantGaimingcheng  string  `gorm:"column:anticoagulant_gaimingcheng" json:"anticoagulant_gaimingcheng"`
	AnticoagulantGaijiliang    string  `gorm:"column:anticoagulant_gaijiliang" json:"anticoagulant_gaijiliang"`
	ModeId                     int64   `gorm:"column:mode_id" json:"mode_id"`
	DialysisDurationHour       int64   `gorm:"column:dialysis_duration_hour" json:"dialysis_duration_hour"`
	DialysisDurationMinute     int64   `gorm:"column:dialysis_duration_minute" json:"dialysis_duration_minute"`
	DialysisDuration           float64 `gorm:"column:dialysis_duration" json:"dialysis_duration"`
	ReplacementTotal           float64 `gorm:"column:replacement_total" json:"replacement_total"`
	ReplacementWay             int64   `gorm:"column:replacement_way" json:"replacement_way"`
	HemodialysisMachine        int64   `gorm:"column:hemodialysis_machine" json:"hemodialysis_machine"`
	BloodFilter                int64   `gorm:"column:blood_filter" json:"blood_filter"`
	PerfusionApparatus         int64   `gorm:"column:perfusion_apparatus" json:"perfusion_apparatus"`
	DryWeight                  float64 `gorm:"column:dry_weight" json:"dry_weight"`
	VascularAccessMode         int64   `gorm:"column:vascular_access_mode" json:"vascular_access_mode"`
	VascularAccess             int64   `gorm:"column:vascular_access" json:"vascular_access"`
	BloodFlowVolume            float64 `gorm:"column:blood_flow_volume" json:"blood_flow_volume"`
	DialysateFlow              float64 `gorm:"column:dialysate_flow" json:"dialysate_flow"`
	DisplaceLiqui              float64 `gorm:"column:displace_liqui" json:"displace_liqui"`
	Kalium                     float64 `gorm:"column:kalium" json:"kalium"`
	Sodium                     float64 `gorm:"column:sodium" json:"sodium"`
	Calcium                    float64 `gorm:"column:calcium" json:"calcium"`
	Bicarbonate                float64 `gorm:"column:bicarbonate" json:"bicarbonate"`
	Glucose                    float64 `gorm:"column:glucose" json:"glucose"`
	DialysateTemperature       float64 `gorm:"column:dialysate_temperature" json:"dialysate_temperature"`
	Conductivity               float64 `gorm:"column:conductivity" json:"conductivity"`
	PrescriptionDoctor         int64   `gorm:"column:prescription_doctor" json:"prescription_doctor"`
	Creater                    int64   `gorm:"column:creater" json:"creater"`
	Modifier                   int64   `gorm:"column:modifier" json:"modifier"`
	Remark                     string  `gorm:"column:remark" json:"remark"`
	Status                     int64   `gorm:"column:status" json:"status"`
	CreatedTime                int64   `gorm:"column:created_time" json:"created_time"`
	UpdatedTime                int64   `gorm:"column:updated_time" json:"updated_time"`
	RecordDate                 int64   `gorm:"column:record_date" json:"record_date"`
	RecordId                   int64   `gorm:"column:record_id" json:"record_id"`
	TargetUltrafiltration      float64 `gorm:"column:target_ultrafiltration" json:"target_ultrafiltration"`
	DialysateFormulation       int64   `gorm:"column:dialysate_formulation" json:"dialysate_formulation"`
	BodyFluid                  int64   `gorm:"column:body_fluid" json:"body_fluid"`
	SpecialMedicine            int64   `gorm:"column:special_medicine" json:"special_medicine"`
	SpecialMedicineOther       string  `gorm:"column:special_medicine_other" json:"special_medicine_other"`
	DisplaceLiquiPart          int64   `gorm:"column:displace_liqui_part" json:"displace_liqui_part"`
	BloodAccess                int64   `gorm:"column:blood_access" json:"blood_access"`
	DisplaceLiquiValue         float64 `gorm:"column:displace_liqui_value" json:"displace_liqui_value"`
	Ultrafiltration            float64 `gorm:"column:ultrafiltration" json:"ultrafiltration"`
	BodyFluidOther             string  `gorm:"column:body_fluid_other" json:"body_fluid_other"`
	Niprocart                  int64   `gorm:"column:niprocart" json:"niprocart"`
	Jms                        int64   `gorm:"column:jms" json:"jms"`
	FistulaNeedleSet           int64   `gorm:"column:fistula_needle_set" json:"fistula_needle_set"`
	FistulaNeedleSet16         int64   `gorm:"column:fistula_needle_set_16" json:"fistula_needle_set_16"`
	Hemoperfusion              int64   `gorm:"column:hemoperfusion" json:"hemoperfusion"`
	DialyserSterilised         int64   `gorm:"column:dialyser_sterilised" json:"dialyser_sterilised"`
	Filtryzer                  int64   `gorm:"column:filtryzer" json:"filtryzer"`
	TargetKtv                  float64 `gorm:"column:target_ktv" json:"target_ktv"`
	Dialyzers                  int64   `gorm:"column:dialyzers" json:"dialyzers"`
	Injector                   int64   `gorm:"column:injector" json:"injector"`
	Bloodlines                 int64   `gorm:"column:bloodlines" json:"bloodlines"`
	TubingHemodialysis         int64   `gorm:"column:tubing_hemodialysis" json:"tubing_hemodialysis"`
	Package                    int64   `gorm:"column:package" json:"package"`
	ALiquid                    int64   `gorm:"column:a_liquid" json:"a_liquid"`
}

func (VMDialysisPrescription) TableName() string {
	return "xt_dialysis_prescription"
}

type VMDeviceAddmacher struct {
	ID                  int64        `gorm:"column:id" json:"id" form:"id"`
	SerialNumber        string       `gorm:"column:serial_number" json:"serial_number" form:"serial_number"`
	DeviceType          int64        `gorm:"column:device_type" json:"device_type" form:"device_type"`
	BedNumber           string       `gorm:"column:bed_number" json:"bed_number" form:"bed_number"`
	DeviceName          string       `gorm:"column:device_name" json:"device_name" form:"device_name"`
	ManufactureFactory  string       `gorm:"column:manufacture_factory" json:"manufacture_factory" form:"manufacture_factory"`
	ServiceManufacturer string       `gorm:"column:service_manufacturer" json:"service_manufacturer" form:"service_manufacturer"`
	UnitType            int64        `gorm:"column:unit_type" json:"unit_type" form:"unit_type"`
	UseSection          string       `gorm:"column:use_section" json:"use_section" form:"use_section"`
	SectionNumber       string       `gorm:"column:section_number" json:"section_number" form:"section_number"`
	BuyDate             int64        `gorm:"column:buy_date" json:"buy_date" form:"buy_date"`
	InstallDate         int64        `gorm:"column:install_date" json:"install_date" form:"install_date"`
	StartDate           int64        `gorm:"column:start_date" json:"start_date" form:"start_date"`
	MaintenaceEngineer  string       `gorm:"column:maintenace_engineer" json:"maintenace_engineer" form:"maintenace_engineer"`
	Telephone           string       `gorm:"column:telephone" json:"telephone" form:"telephone"`
	GuaranteeDate       string       `gorm:"column:guarantee_date" json:"guarantee_date" form:"guarantee_date"`
	MachineStatus       int64        `gorm:"column:machine_status" json:"machine_status" form:"machine_status"`
	UserTotal           string       `gorm:"column:user_total" json:"user_total" form:"user_total"`
	DisinfectionMode    int64        `gorm:"column:disinfection_mode" json:"disinfection_mode" form:"disinfection_mode"`
	Remarks             string       `gorm:"column:remarks" json:"remarks" form:"remarks"`
	RubbishDate         int64        `gorm:"column:rubbish_date" json:"rubbish_date" form:"rubbish_date"`
	RubbishReason       int64        `gorm:"column:rubbish_reason" json:"rubbish_reason" form:"rubbish_reason"`
	UserYear            string       `gorm:"column:user_year" json:"user_year" form:"user_year"`
	WorkTime            string       `gorm:"column:work_time" json:"work_time" form:"work_time"`
	ReversMode          int64        `gorm:"column:revers_mode" json:"revers_mode" form:"revers_mode"`
	UserOrgId           int64        `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	Status              int64        `gorm:"column:status" json:"status" form:"status"`
	Ctime               int64        `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime               int64        `gorm:"column:mtime" json:"mtime" form:"mtime"`
	ZoneId              int64        `gorm:"column:zone_id" json:"zone_id" form:"zone_id"`
	BedId               int64        `gorm:"column:bed_id" json:"bed_id" form:"bed_id"`
	DeviceNumber        DeviceNumber `gorm:"ForeignKey:ID;AssociationForeignKey:BedId"`
}

func (VMDeviceAddmacher) TableName() string {
	return "xt_device_addmacher"
}

type DeviceRepair struct {
	ID                int64             `gorm:"column:id" json:"id" form:"id"`
	GuaranteeDate     int64             `gorm:"column:guarantee_date" json:"guarantee_date" form:"guarantee_date"`
	StartTime         int64             `gorm:"column:start_time" json:"start_time" form:"start_time"`
	ArriveTime        int64             `gorm:"column:arrive_time" json:"arrive_time" form:"arrive_time"`
	FinishTime        int64             `gorm:"column:finish_time" json:"finish_time" form:"finish_time"`
	TotalDistance     string            `gorm:"column:total_distance" json:"total_distance" form:"total_distance"`
	FailureStage      int64             `gorm:"column:failure_stage" json:"failure_stage" form:"failure_stage"`
	FaultDescription  string            `gorm:"column:fault_description" json:"fault_description" form:"fault_description"`
	CauseAnalysis     string            `gorm:"column:cause_analysis" json:"cause_analysis" form:"cause_analysis"`
	TreatmentProcess  string            `gorm:"column:treatment_process" json:"treatment_process" form:"treatment_process"`
	Images            string            `gorm:"column:images" json:"images" form:"images"`
	Exclude           int64             `gorm:"column:exclude" json:"exclude" form:"exclude"`
	Reason            string            `gorm:"column:reason" json:"reason" form:"reason"`
	Ctime             int64             `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime             int64             `gorm:"column:mtime" json:"mtime" form:"mtime"`
	Status            int64             `gorm:"column:status" json:"status" form:"status"`
	UserOrgId         int64             `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	BedId             int64             `gorm:"column:bed_id" json:"bed_id" form:"bed_id"`
	EquitmentId       int64             `gorm:"column:equitment_id" json:"equitment_id" form:"equitment_id"`
	CodeInformation   string            `gorm:"column:code_information" json:"code_information" form:"code_information"`
	ImageName         string            `gorm:"column:image_name" json:"image_name" form:"image_name"`
	VMDeviceAddmacher VMDeviceAddmacher `gorm:"ForeignKey:ID;AssociationForeignKey:EquitmentId"`
}

func (DeviceRepair) TableName() string {
	return "xt_device_repair"
}

type XtInspectionReference struct {
	ID               int64  `gorm:"column:id" json:"id" form:"id"`
	OrgId            int64  `gorm:"column:org_id" json:"org_id" form:"org_id"`
	ProjectName      string `gorm:"column:project_name" json:"project_name" form:"project_name"`
	Project          string `gorm:"column:project" json:"project" form:"project"`
	ProjectId        int64  `gorm:"column:project_id" json:"project_id" form:"project_id"`
	ItemName         string `gorm:"column:item_name" json:"item_name" form:"item_name"`
	ItemNameAddition string `gorm:"column:item_name_addition" json:"item_name_addition" form:"item_name_addition"`
	ItemId           int64  `gorm:"column:item_id" json:"item_id" form:"item_id"`
	Item             string `gorm:"column:item" json:"item" form:"item"`
	RangeType        int64  `gorm:"column:range_type" json:"range_type" form:"range_type"`
	RangeMin         string `gorm:"column:range_min" json:"range_min" form:"range_min"`
	RangeMax         string `gorm:"column:range_max" json:"range_max" form:"range_max"`
	RangeValue       string `gorm:"column:range_value" json:"range_value" form:"range_value"`
	RangeOptions     string `gorm:"column:range_options" json:"range_options" form:"range_options"`
	Unit             string `gorm:"column:unit" json:"unit" form:"unit"`
	Status           int64  `gorm:"column:status" json:"status" form:"status"`
	CreatedTime      int64  `gorm:"column:created_time" json:"created_time" form:"created_time"`
	UpdatedTime      int64  `gorm:"column:updated_time" json:"updated_time" form:"updated_time"`
}

func (XtInspectionReference) TableName() string {

	return "xt_inspection_reference"
}

type XtInspection struct {
	ID                    int64                 `gorm:"column:id" json:"id" form:"id"`
	PatientId             int64                 `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	OrgId                 int64                 `gorm:"column:org_id" json:"org_id" form:"org_id"`
	ProjectId             int64                 `gorm:"column:project_id" json:"project_id" form:"project_id"`
	ItemId                int64                 `gorm:"column:item_id" json:"item_id" form:"item_id"`
	ItemName              string                `gorm:"column:item_name" json:"item_name" form:"item_name"`
	ProjectName           string                `gorm:"column:project_name" json:"project_name" form:"project_name"`
	InspectType           int64                 `gorm:"column:inspect_type" json:"inspect_type" form:"inspect_type"`
	InspectValue          string                `gorm:"column:inspect_value" json:"inspect_value" form:"inspect_value"`
	InspectDate           int64                 `gorm:"column:inspect_date" json:"inspect_date" form:"inspect_date"`
	Status                int64                 `gorm:"column:status" json:"status" form:"status"`
	CreatedTime           int64                 `gorm:"column:created_time" json:"created_time" form:"created_time"`
	UpdatedTime           int64                 `gorm:"column:updated_time" json:"updated_time" form:"updated_time"`
	Patients              Patients              `gorm:"ForeignKey:ID;AssociationForeignKey:PatientId"`
	XtInspectionReference XtInspectionReference `gorm:"ForeignKey:ProjectId,ItemId;AssociationForeignKey:ProjectId,ItemId;"`
}

func (XtInspection) TableName() string {

	return "xt_inspection"
}

type XtDeviceCulture struct {
	ID                int64  `gorm:"column:id" json:"id" form:"id"`
	SpelingDate       int64  `gorm:"column:speling_date" json:"speling_date" form:"speling_date"`
	Specimen          int64  `gorm:"column:specimen" json:"specimen" form:"specimen"`
	ConcentrateNoa    string `gorm:"column:concentrate_noa" json:"concentrate_noa" form:"concentrate_noa"`
	ConcentrateNob    string `gorm:"column:concentrate_nob" json:"concentrate_nob" form:"concentrate_nob"`
	SamplingLocationa int64  `gorm:"column:sampling_locationa" json:"sampling_locationa" form:"sampling_locationa"`
	DetectionUnit     string `gorm:"column:detection_unit" json:"detection_unit" form:"detection_unit"`
	Sampler           int64  `gorm:"column:sampler" json:"sampler" form:"sampler"`
	ReportingDate     int64  `gorm:"column:reporting_date" json:"reporting_date" form:"reporting_date"`
	DetectionResult   string `gorm:"column:detection_result" json:"detection_result" form:"detection_result"`
	BedId             int64  `gorm:"column:bed_id" json:"bed_id" form:"bed_id"`
	Status            int64  `gorm:"column:status" json:"status" form:"status"`
	Ctime             int64  `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime             int64  `gorm:"column:mtime" json:"mtime" form:"mtime"`
	UserOrgId         int64  `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	EquitmentId       int64  `gorm:"column:equitment_id" json:"equitment_id" form:"equitment_id"`
	Bed               string `gorm:"column:bed" json:"bed" form:"bed"`
	Sort              string `gorm:"column:sort" json:"sort" form:"sort"`
	PassExamination   int64  `gorm:"column:pass_examination" json:"pass_examination" form:"pass_examination"`
	Modifications     int64  `gorm:"column:modifications" json:"modifications" form:"modifications"`
}

func (XtDeviceCulture) TableName() string {
	return "xt_device_culture"
}

type XtDeviceDialysate struct {
	ID                int64  `gorm:"column:id" json:"id" form:"id"`
	SamplingDate      int64  `gorm:"column:sampling_date" json:"sampling_date" form:"sampling_date"`
	Specimenb         int64  `gorm:"column:specimenb" json:"specimenb" form:"specimenb"`
	ConcentrateNoc    string `gorm:"column:concentrate_noc" json:"concentrate_noc" form:"concentrate_noc"`
	ConcentratebNod   string `gorm:"column:concentrateb_nod" json:"concentrateb_nod" form:"concentrateb_nod"`
	SamplingLocationb int64  `gorm:"column:sampling_locationb" json:"sampling_locationb" form:"sampling_locationb"`
	DetectionUnit     string `gorm:"column:detection_unit" json:"detection_unit" form:"detection_unit"`
	Samplerb          int64  `gorm:"column:samplerb" json:"samplerb" form:"samplerb"`
	ReportingDateb    int64  `gorm:"column:reporting_dateb" json:"reporting_dateb" form:"reporting_dateb"`
	DetectionResultb  string `gorm:"column:detection_resultb" json:"detection_resultb" form:"detection_resultb"`
	Status            int64  `gorm:"column:status" json:"status" form:"status"`
	UserOrgId         int64  `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	Ctime             int64  `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime             int64  `gorm:"column:mtime" json:"mtime" form:"mtime"`
	BedId             int64  `gorm:"column:bed_id" json:"bed_id" form:"bed_id"`
	EquitmentId       int64  `gorm:"column:equitment_id" json:"equitment_id" form:"equitment_id"`
	Bed               string `gorm:"column:bed" json:"bed" form:"bed"`
	Sort              string `gorm:"column:sort" json:"sort" form:"sort"`
	PassExamination   int64  `gorm:"column:pass_examination" json:"pass_examination" form:"pass_examination"`
	Modifications     int64  `gorm:"column:modifications" json:"modifications" form:"modifications"`
}

func (XtDeviceDialysate) TableName() string {
	return "xt_device_dialysate"
}

type XtAerialDetection struct {
	ID                  int64  `gorm:"column:id" json:"id" form:"id"`
	StartTime           int64  `gorm:"column:start_time" json:"start_time" form:"start_time"`
	CreatedTime         int64  `gorm:"column:created_time" json:"created_time" form:"created_time"`
	Class               int64  `gorm:"column:class" json:"class" form:"class"`
	DisinfectionMethods string `gorm:"column:disinfection_methods" json:"disinfection_methods" form:"disinfection_methods"`
	DisinfectionFluid   string `gorm:"column:disinfection_fluid" json:"disinfection_fluid" form:"disinfection_fluid"`
	Sort                string `gorm:"column:sort" json:"sort" form:"sort"`
	Creator             int64  `gorm:"column:creator" json:"creator" form:"creator"`
	DetectionTime       int64  `gorm:"column:detection_time" json:"detection_time" form:"detection_time"`
	DetectionResult     string `gorm:"column:detection_result" json:"detection_result" form:"detection_result"`
	UploadTime          int64  `gorm:"column:upload_time" json:"upload_time" form:"upload_time"`
	CheckOut            int64  `gorm:"column:check_out" json:"check_out" form:"check_out"`
	Modifications       int64  `gorm:"column:modifications" json:"modifications" form:"modifications"`
	UserOrgId           int64  `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	Ctime               int64  `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime               int64  `gorm:"column:mtime" json:"mtime" form:"mtime"`
	Status              int64  `gorm:"column:status" json:"status" form:"status"`
}

func (XtAerialDetection) TableName() string {
	return "xt_aerial_detection"
}

type XtBodyDetection struct {
	ID                  int64  `gorm:"column:id" json:"id" form:"id"`
	StartTime           int64  `gorm:"column:start_time" json:"start_time" form:"start_time"`
	CreatedTime         int64  `gorm:"column:created_time" json:"created_time" form:"created_time"`
	Class               int64  `gorm:"column:class" json:"class" form:"class"`
	DisinfectionMethods string `gorm:"column:disinfection_methods" json:"disinfection_methods" form:"disinfection_methods"`
	DisinfectionFluid   string `gorm:"column:disinfection_fluid" json:"disinfection_fluid" form:"disinfection_fluid"`
	Sort                string `gorm:"column:sort" json:"sort" form:"sort"`
	Creator             int64  `gorm:"column:creator" json:"creator" form:"creator"`
	DetectionTime       int64  `gorm:"column:detection_time" json:"detection_time" form:"detection_time"`
	DetectionResult     string `gorm:"column:detection_result" json:"detection_result" form:"detection_result"`
	UploadTime          int64  `gorm:"column:upload_time" json:"upload_time" form:"upload_time"`
	CheckOut            int64  `gorm:"column:check_out" json:"check_out" form:"check_out"`
	Modifications       int64  `gorm:"column:modifications" json:"modifications" form:"modifications"`
	UserOrgId           int64  `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	Ctime               int64  `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime               int64  `gorm:"column:mtime" json:"mtime" form:"mtime"`
	Status              int64  `gorm:"column:status" json:"status" form:"status"`
}

func (XtBodyDetection) TableName() string {
	return "xt_body_detection"
}

type XtDeviceWater struct {
	ID                int64  `gorm:"column:id" json:"id" form:"id"`
	SamplingDate      int64  `gorm:"column:sampling_date" json:"sampling_date" form:"sampling_date"`
	Specimenb         int64  `gorm:"column:specimenb" json:"specimenb" form:"specimenb"`
	ConcentrateNoc    string `gorm:"column:concentrate_noc" json:"concentrate_noc" form:"concentrate_noc"`
	ConcentratebNod   string `gorm:"column:concentrateb_nod" json:"concentrateb_nod" form:"concentrateb_nod"`
	SamplingLocationb int64  `gorm:"column:sampling_locationb" json:"sampling_locationb" form:"sampling_locationb"`
	DetectionUnit     string `gorm:"column:detection_unit" json:"detection_unit" form:"detection_unit"`
	Samplerb          int64  `gorm:"column:samplerb" json:"samplerb" form:"samplerb"`
	ReportingDateb    int64  `gorm:"column:reporting_dateb" json:"reporting_dateb" form:"reporting_dateb"`
	DetectionResultb  string `gorm:"column:detection_resultb" json:"detection_resultb" form:"detection_resultb"`
	Status            int64  `gorm:"column:status" json:"status" form:"status"`
	UserOrgId         int64  `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	Ctime             int64  `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime             int64  `gorm:"column:mtime" json:"mtime" form:"mtime"`
	BedId             int64  `gorm:"column:bed_id" json:"bed_id" form:"bed_id"`
	EquitmentId       int64  `gorm:"column:equitment_id" json:"equitment_id" form:"equitment_id"`
	Bed               string `gorm:"column:bed" json:"bed" form:"bed"`
	Sort              string `gorm:"column:sort" json:"sort" form:"sort"`
	PassExamination   int64  `gorm:"column:pass_examination" json:"pass_examination" form:"pass_examination"`
	Modifications     int64  `gorm:"column:modifications" json:"modifications" form:"modifications"`
}

func (XtDeviceWater) TableName() string {
	return "xt_device_water"
}

type XtDeviceOxygenates struct {
	ID                int64  `gorm:"column:id" json:"id" form:"id"`
	SamplingDate      int64  `gorm:"column:sampling_date" json:"sampling_date" form:"sampling_date"`
	Specimenb         int64  `gorm:"column:specimenb" json:"specimenb" form:"specimenb"`
	ConcentrateNoc    string `gorm:"column:concentrate_noc" json:"concentrate_noc" form:"concentrate_noc"`
	ConcentratebNod   string `gorm:"column:concentrateb_nod" json:"concentrateb_nod" form:"concentrateb_nod"`
	SamplingLocationb int64  `gorm:"column:sampling_locationb" json:"sampling_locationb" form:"sampling_locationb"`
	DetectionUnit     string `gorm:"column:detection_unit" json:"detection_unit" form:"detection_unit"`
	Samplerb          int64  `gorm:"column:samplerb" json:"samplerb" form:"samplerb"`
	ReportingDateb    int64  `gorm:"column:reporting_dateb" json:"reporting_dateb" form:"reporting_dateb"`
	DetectionResultb  string `gorm:"column:detection_resultb" json:"detection_resultb" form:"detection_resultb"`
	Status            int64  `gorm:"column:status" json:"status" form:"status"`
	UserOrgId         int64  `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	Ctime             int64  `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime             int64  `gorm:"column:mtime" json:"mtime" form:"mtime"`
	BedId             int64  `gorm:"column:bed_id" json:"bed_id" form:"bed_id"`
	EquitmentId       int64  `gorm:"column:equitment_id" json:"equitment_id" form:"equitment_id"`
	Bed               string `gorm:"column:bed" json:"bed" form:"bed"`
	Sort              string `gorm:"column:sort" json:"sort" form:"sort"`
	PassExamination   int64  `gorm:"column:pass_examination" json:"pass_examination" form:"pass_examination"`
	Modifications     int64  `gorm:"column:modifications" json:"modifications" form:"modifications"`
}

func (XtDeviceOxygenates) TableName() string {
	return "xt_device_oxygenates"
}

type XtDevicePh struct {
	ID                int64  `gorm:"column:id" json:"id" form:"id"`
	SamplingDate      int64  `gorm:"column:sampling_date" json:"sampling_date" form:"sampling_date"`
	Specimenb         int64  `gorm:"column:specimenb" json:"specimenb" form:"specimenb"`
	ConcentrateNoc    string `gorm:"column:concentrate_noc" json:"concentrate_noc" form:"concentrate_noc"`
	ConcentratebNod   string `gorm:"column:concentrateb_nod" json:"concentrateb_nod" form:"concentrateb_nod"`
	SamplingLocationb int64  `gorm:"column:sampling_locationb" json:"sampling_locationb" form:"sampling_locationb"`
	DetectionUnit     string `gorm:"column:detection_unit" json:"detection_unit" form:"detection_unit"`
	Samplerb          int64  `gorm:"column:samplerb" json:"samplerb" form:"samplerb"`
	ReportingDateb    int64  `gorm:"column:reporting_dateb" json:"reporting_dateb" form:"reporting_dateb"`
	DetectionResultb  string `gorm:"column:detection_resultb" json:"detection_resultb" form:"detection_resultb"`
	Status            int64  `gorm:"column:status" json:"status" form:"status"`
	UserOrgId         int64  `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	Ctime             int64  `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime             int64  `gorm:"column:mtime" json:"mtime" form:"mtime"`
	BedId             int64  `gorm:"column:bed_id" json:"bed_id" form:"bed_id"`
	EquitmentId       int64  `gorm:"column:equitment_id" json:"equitment_id" form:"equitment_id"`
	Bed               string `gorm:"column:bed" json:"bed" form:"bed"`
	Sort              string `gorm:"column:sort" json:"sort" form:"sort"`
	PassExamination   int64  `gorm:"column:pass_examination" json:"pass_examination" form:"pass_examination"`
	Modifications     int64  `gorm:"column:modifications" json:"modifications" form:"modifications"`
}

func (XtDevicePh) TableName() string {
	return "xt_device_ph"
}

type XtDeviceHadwater struct {
	ID                int64  `gorm:"column:id" json:"id" form:"id"`
	SamplingDate      int64  `gorm:"column:sampling_date" json:"sampling_date" form:"sampling_date"`
	Specimenb         int64  `gorm:"column:specimenb" json:"specimenb" form:"specimenb"`
	ConcentrateNoc    string `gorm:"column:concentrate_noc" json:"concentrate_noc" form:"concentrate_noc"`
	ConcentratebNod   string `gorm:"column:concentrateb_nod" json:"concentrateb_nod" form:"concentrateb_nod"`
	SamplingLocationb int64  `gorm:"column:sampling_locationb" json:"sampling_locationb" form:"sampling_locationb"`
	DetectionUnit     string `gorm:"column:detection_unit" json:"detection_unit" form:"detection_unit"`
	Samplerb          int64  `gorm:"column:samplerb" json:"samplerb" form:"samplerb"`
	ReportingDateb    int64  `gorm:"column:reporting_dateb" json:"reporting_dateb" form:"reporting_dateb"`
	DetectionResultb  string `gorm:"column:detection_resultb" json:"detection_resultb" form:"detection_resultb"`
	Status            int64  `gorm:"column:status" json:"status" form:"status"`
	UserOrgId         int64  `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	Ctime             int64  `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime             int64  `gorm:"column:mtime" json:"mtime" form:"mtime"`
	BedId             int64  `gorm:"column:bed_id" json:"bed_id" form:"bed_id"`
	EquitmentId       int64  `gorm:"column:equitment_id" json:"equitment_id" form:"equitment_id"`
	Bed               string `gorm:"column:bed" json:"bed" form:"bed"`
	Sort              string `gorm:"column:sort" json:"sort" form:"sort"`
	PassExamination   int64  `gorm:"column:pass_examination" json:"pass_examination" form:"pass_examination"`
	Modifications     int64  `gorm:"column:modifications" json:"modifications" form:"modifications"`
}

func (XtDeviceHadwater) TableName() string {
	return "xt_device_hadwater"
}

type XtPatientVascularAccess struct {
	ID                     int64  `gorm:"column:id" json:"id" form:"id"`
	AccessProject          int64  `gorm:"column:access_project" json:"access_project" form:"access_project"`
	BloodAccessPartId      string `gorm:"column:blood_access_part_id" json:"blood_access_part_id" form:"blood_access_part_id"`
	InflowPass             string `gorm:"column:inflow_pass" json:"inflow_pass" form:"inflow_pass"`
	StartTime              int64  `gorm:"column:start_time" json:"start_time" form:"start_time"`
	FirstStartTime         int64  `gorm:"column:first_start_time" json:"first_start_time" form:"first_start_time"`
	BloodAccessPartOperaId string `gorm:"column:blood_access_part_opera_id" json:"blood_access_part_opera_id" form:"blood_access_part_opera_id"`
	StopReason             string `gorm:"column:stop_reason" json:"stop_reason" form:"stop_reason"`
	Remark                 string `gorm:"column:remark" json:"remark" form:"remark"`
	UserStatus             int64  `gorm:"column:user_status" json:"user_status" form:"user_status"`
	Creator                int64  `gorm:"column:creator" json:"creator" form:"creator"`
	UserOrgId              int64  `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	Status                 int64  `gorm:"column:status" json:"status" form:"status"`
	Ctime                  int64  `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime                  int64  `gorm:"column:mtime" json:"mtime" form:"mtime"`
	Modify                 int64  `gorm:"column:modify" json:"modify" form:"modify"`
	StopTime               int64  `gorm:"column:stop_time" json:"stop_time" form:"stop_time"`
	PatientId              int64  `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	OtherVascular          string `gorm:"column:other_vascular" json:"other_vascular" form:"other_vascular"`
	CiType                 int64  `gorm:"column:ci_type" json:"ci_type" form:"ci_type"`
	BloodCultupe           int64  `gorm:"column:blood_cultupe" json:"blood_cultupe" form:"blood_cultupe"`
	SequelaeType           int64  `gorm:"column:sequelae_type" json:"sequelae_type" form:"sequelae_type"`
}

func (XtPatientVascularAccess) TableName() string {
	return "xt_patient_vascular_access"
}

type XtDialysisSolution struct {
	ID                         int64   `gorm:"column:id" json:"id" form:"id"`
	Name                       string  `gorm:"column:name" json:"name" form:"name"`
	SubName                    string  `gorm:"column:sub_name" json:"sub_name" form:"sub_name"`
	UserOrgId                  int64   `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	PatientId                  int64   `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	ParentId                   int64   `gorm:"column:parent_id" json:"parent_id" form:"parent_id"`
	Type                       int64   `gorm:"column:type" json:"type" form:"type"`
	Period                     string  `gorm:"column:period" json:"period" form:"period"`
	Times                      string  `gorm:"column:times" json:"times" form:"times"`
	Anticoagulant              int64   `gorm:"column:anticoagulant" json:"anticoagulant" form:"anticoagulant"`
	AnticoagulantShouji        float64 `gorm:"column:anticoagulant_shouji" json:"anticoagulant_shouji" form:"anticoagulant_shouji"`
	AnticoagulantWeichi        float64 `gorm:"column:anticoagulant_weichi" json:"anticoagulant_weichi" form:"anticoagulant_weichi"`
	AnticoagulantZongliang     float64 `gorm:"column:anticoagulant_zongliang" json:"anticoagulant_zongliang" form:"anticoagulant_zongliang"`
	AnticoagulantGaimingcheng  string  `gorm:"column:anticoagulant_gaimingcheng" json:"anticoagulant_gaimingcheng" form:"anticoagulant_gaimingcheng"`
	AnticoagulantGaijiliang    string  `gorm:"column:anticoagulant_gaijiliang" json:"anticoagulant_gaijiliang" form:"anticoagulant_gaijiliang"`
	ModeName                   string  `gorm:"column:mode_name" json:"mode_name" form:"mode_name"`
	ModeId                     int64   `gorm:"column:mode_id" json:"mode_id" form:"mode_id"`
	DialysisDuration           float64 `gorm:"column:dialysis_duration" json:"dialysis_duration" form:"dialysis_duration"`
	ReplacementWay             int64   `gorm:"column:replacement_way" json:"replacement_way" form:"replacement_way"`
	HemodialysisMachine        int64   `gorm:"column:hemodialysis_machine" json:"hemodialysis_machine" form:"hemodialysis_machine"`
	BloodFilter                int64   `gorm:"column:blood_filter" json:"blood_filter" form:"blood_filter"`
	PerfusionApparatus         int64   `gorm:"column:perfusion_apparatus" json:"perfusion_apparatus" form:"perfusion_apparatus"`
	BloodFlowVolume            float64 `gorm:"column:blood_flow_volume" json:"blood_flow_volume" form:"blood_flow_volume"`
	Dewater                    float64 `gorm:"column:dewater" json:"dewater" form:"dewater"`
	DisplaceLiqui              float64 `gorm:"column:displace_liqui" json:"displace_liqui" form:"displace_liqui"`
	Glucose                    float64 `gorm:"column:glucose" json:"glucose" form:"glucose"`
	DryWeight                  float64 `gorm:"column:dry_weight" json:"dry_weight" form:"dry_weight"`
	DialysateFlow              float64 `gorm:"column:dialysate_flow" json:"dialysate_flow" form:"dialysate_flow"`
	Kalium                     float64 `gorm:"column:kalium" json:"kalium" form:"kalium"`
	Sodium                     float64 `gorm:"column:sodium" json:"sodium" form:"sodium"`
	Calcium                    float64 `gorm:"column:calcium" json:"calcium" form:"calcium"`
	Bicarbonate                float64 `gorm:"column:bicarbonate" json:"bicarbonate" form:"bicarbonate"`
	Doctor                     int64   `gorm:"column:doctor" json:"doctor" form:"doctor"`
	FirstDialysis              int64   `gorm:"column:first_dialysis" json:"first_dialysis" form:"first_dialysis"`
	Remark                     string  `gorm:"column:remark" json:"remark" form:"remark"`
	InitiateMode               int64   `gorm:"column:initiate_mode" json:"initiate_mode" form:"initiate_mode"`
	AffirmState                int64   `gorm:"column:affirm_state" json:"affirm_state" form:"affirm_state"`
	UseState                   int64   `gorm:"column:use_state" json:"use_state" form:"use_state"`
	Status                     int64   `gorm:"column:status" json:"status" form:"status"`
	RegistrarsId               int64   `gorm:"column:registrars_id" json:"registrars_id" form:"registrars_id"`
	CreatedTime                int64   `gorm:"column:created_time" json:"created_time" form:"created_time"`
	UpdatedTime                int64   `gorm:"column:updated_time" json:"updated_time" form:"updated_time"`
	SolutionType               int64   `gorm:"column:solution_type" json:"solution_type" form:"solution_type"`
	DialysateTemperature       float64 `gorm:"column:dialysate_temperature" json:"dialysate_temperature" form:"dialysate_temperature"`
	Conductivity               float64 `gorm:"column:conductivity" json:"conductivity" form:"conductivity"`
	DialysisDurationHour       int64   `gorm:"column:dialysis_duration_hour" json:"dialysis_duration_hour" form:"dialysis_duration_hour"`
	DialysisDurationMinute     int64   `gorm:"column:dialysis_duration_minute" json:"dialysis_duration_minute" form:"dialysis_duration_minute"`
	TargetUltrafiltration      float64 `gorm:"column:target_ultrafiltration" json:"target_ultrafiltration" form:"target_ultrafiltration"`
	DialysateFormulation       int64   `gorm:"column:dialysate_formulation" json:"dialysate_formulation" form:"dialysate_formulation"`
	Dialyzer                   int64   `gorm:"column:dialyzer" json:"dialyzer" form:"dialyzer"`
	ReplacementTotal           float64 `gorm:"column:replacement_total" json:"replacement_total" form:"replacement_total"`
	DialyzerPerfusionApparatus string  `gorm:"column:dialyzer_perfusion_apparatus" json:"dialyzer_perfusion_apparatus" form:"dialyzer_perfusion_apparatus"`
	BodyFluid                  int64   `gorm:"column:body_fluid" json:"body_fluid" form:"body_fluid"`
	SpecialMedicine            int64   `gorm:"column:special_medicine" json:"special_medicine" form:"special_medicine"`
	SpecialMedicineOther       string  `gorm:"column:special_medicine_other" json:"special_medicine_other" form:"special_medicine_other"`
	DisplaceLiquiPart          int64   `gorm:"column:displace_liqui_part" json:"displace_liqui_part" form:"displace_liqui_part"`
	DisplaceLiquiValue         float64 `gorm:"column:displace_liqui_value" json:"displace_liqui_value" form:"displace_liqui_value"`
	BloodAccess                int64   `gorm:"column:blood_access" json:"blood_access" form:"blood_access"`
	Ultrafiltration            float64 `gorm:"column:ultrafiltration" json:"ultrafiltration" form:"ultrafiltration"`
	BodyFluidOther             string  `gorm:"column:body_fluid_other" json:"body_fluid_other" form:"body_fluid_other"`
	TargetKtv                  float64 `gorm:"column:target_ktv" json:"target_ktv" form:"target_ktv"`
	DialysisIrrigation         string  `gorm:"column:dialysis_irrigation" json:"dialysis_irrigation" form:"dialysis_irrigation"`
	DialysisDialyszers         string  `gorm:"column:dialysis_dialyszers" json:"dialysis_dialyszers" form:"dialysis_dialyszers"`
}

func (XtDialysisSolution) TableName() string {
	return "xt_dialysis_solution"
}

type XtWarehouseInfo struct {
	ID               int64   `gorm:"column:id" json:"id" form:"id"`
	WarehousingId    int64   `gorm:"column:warehousing_id" json:"warehousing_id" form:"warehousing_id"`
	GoodId           int64   `gorm:"column:good_id" json:"good_id" form:"good_id"`
	GoodTypeId       int64   `gorm:"column:good_type_id" json:"good_type_id" form:"good_type_id"`
	Number           string  `gorm:"column:number" json:"number" form:"number"`
	ProductDate      int64   `gorm:"column:product_date" json:"product_date" form:"product_date"`
	ExpiryDate       int64   `gorm:"column:expiry_date" json:"expiry_date" form:"expiry_date"`
	WarehousingCount int64   `gorm:"column:warehousing_count" json:"warehousing_count" form:"warehousing_count"`
	Price            float64 `gorm:"column:price" json:"price" form:"price"`
	TotalPrice       float64 `gorm:"column:total_price" json:"total_price" form:"total_price"`
	Dealer           int64   `gorm:"column:dealer" json:"dealer" form:"dealer"`
	Manufacturer     int64   `gorm:"column:manufacturer" json:"manufacturer" form:"manufacturer"`
	Remark           string  `gorm:"column:remark" json:"remark" form:"remark"`
	Ctime            int64   `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime            int64   `gorm:"column:mtime" json:"mtime" form:"mtime"`
	Status           int64   `gorm:"column:status" json:"status" form:"status"`
	OrgId            int64   `gorm:"column:org_id" json:"org_id" form:"org_id"`
	IsReturn         int64   `gorm:"column:is_return" json:"is_return" form:"is_return"`
	WarehousingOrder string  `gorm:"column:warehousing_order" json:"warehousing_order" form:"warehousing_order"`
	Type             int64   `gorm:"column:type" json:"type" form:"type"`
	WarehousingUnit  int64   `gorm:"column:warehousing_unit" json:"warehousing_unit" form:"warehousing_unit"`
	StockCount       int64   `gorm:"column:stock_count" json:"stock_count" form:"stock_count"`
	LicenseNumber    string  `gorm:"column:license_number" json:"license_number" form:"license_number"`
}

func (XtWarehouseInfo) TableName() string {
	return "xt_warehouse_info"
}

type XtWarehouseOutInfo struct {
	ID                      int64   `gorm:"column:id" json:"id" form:"id"`
	WarehouseOutId          int64   `gorm:"column:warehouse_out_id" json:"warehouse_out_id" form:"warehouse_out_id"`
	GoodId                  int64   `gorm:"column:good_id" json:"good_id" form:"good_id"`
	GoodTypeId              int64   `gorm:"column:good_type_id" json:"good_type_id" form:"good_type_id"`
	WarehousingOutTarget    int64   `gorm:"column:warehousing_out_target" json:"warehousing_out_target" form:"warehousing_out_target"`
	Count                   int64   `gorm:"column:count" json:"count" form:"count"`
	Price                   float64 `gorm:"column:price" json:"price" form:"price"`
	TotalPrice              float64 `gorm:"column:total_price" json:"total_price" form:"total_price"`
	ProductDate             int64   `gorm:"column:product_date" json:"product_date" form:"product_date"`
	ExpiryDate              int64   `gorm:"column:expiry_date" json:"expiry_date" form:"expiry_date"`
	Mtime                   int64   `gorm:"column:mtime" json:"mtime" form:"mtime"`
	Ctime                   int64   `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Status                  int64   `gorm:"column:status" json:"status" form:"status"`
	OrgId                   int64   `gorm:"column:org_id" json:"org_id" form:"org_id"`
	Remark                  string  `gorm:"column:remark" json:"remark" form:"remark"`
	IsCancel                int64   `gorm:"column:is_cancel" json:"is_cancel" form:"is_cancel"`
	WarehouseOutOrderNumber string  `gorm:"column:warehouse_out_order_number" json:"warehouse_out_order_number" form:"warehouse_out_order_number"`
	Type                    int64   `gorm:"column:type" json:"type" form:"type"`
	Dealer                  int64   `gorm:"column:dealer" json:"dealer" form:"dealer"`
	Manufacturer            int64   `gorm:"column:manufacturer" json:"manufacturer" form:"manufacturer"`
	IsSys                   int64   `gorm:"column:is_sys" json:"is_sys" form:"is_sys"`
	SysRecordTime           int64   `gorm:"column:sys_record_time" json:"sys_record_time" form:"sys_record_time"`
	WarehouseInfoId         int64   `gorm:"column:warehouse_info_id" json:"warehouse_info_id" form:"warehouse_info_id"`
	PatientId               int64   `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	Number                  string  `gorm:"column:number" json:"number" form:"number"`
	LicenseNumber           string  `gorm:"column:license_number" json:"license_number" form:"license_number"`
	ConsumableType          int64   `gorm:"column:consumable_type" json:"consumable_type" form:"consumable_type"`
}

func (XtWarehouseOutInfo) TableName() string {
	return "xt_warehouse_out_info"
}

type InspectionReference struct {
	ID               int64  `gorm:"column:id" json:"id" form:"id"`
	OrgId            int64  `gorm:"column:org_id" json:"org_id" form:"org_id"`
	ProjectName      string `gorm:"column:project_name" json:"project_name" form:"project_name"`
	Project          string `gorm:"column:project" json:"project" form:"project"`
	ProjectId        int64  `gorm:"column:project_id" json:"project_id" form:"project_id"`
	ItemName         string `gorm:"column:item_name" json:"item_name" form:"item_name"`
	ItemNameAddition string `gorm:"column:item_name_addition" json:"item_name_addition" form:"item_name_addition"`
	ItemId           int64  `gorm:"column:item_id" json:"item_id" form:"item_id"`
	Item             string `gorm:"column:item" json:"item" form:"item"`
	RangeType        int64  `gorm:"column:range_type" json:"range_type" form:"range_type"`
	RangeMin         string `gorm:"column:range_min" json:"range_min" form:"range_min"`
	RangeMax         string `gorm:"column:range_max" json:"range_max" form:"range_max"`
	RangeValue       string `gorm:"column:range_value" json:"range_value" form:"range_value"`
	RangeOptions     string `gorm:"column:range_options" json:"range_options" form:"range_options"`
	Unit             string `gorm:"column:unit" json:"unit" form:"unit"`
	Status           int64  `gorm:"column:status" json:"status" form:"status"`
	SysItemId        int64  `gorm:"column:sys_item_id" json:"sys_item_id" form:"sys_item_id"`
	CreatedTime      int64  `gorm:"column:created_time" json:"created_time" form:"created_time"`
	UpdatedTime      int64  `gorm:"column:updated_time" json:"updated_time" form:"updated_time"`
	Order            int64  `gorm:"column:order" json:"order" form:"order"`
}

func (InspectionReference) TableName() string {
	return "xt_inspection_reference"
}
